# geos::simplify::TaggedLinesSimplifier Class Reference

Simplifies a collection of TaggedLineStrings, preserving topology (in the sense that no new intersections are introduced). More...

`#include <TaggedLinesSimplifier.h>`

List of all members.

## Public Member Functions

void | setDistanceTolerance (double tolerance)
| Sets the distance tolerance for the simplification.
template<class iterator_type>
void | simplify (iterator_type begin, iterator_type end)

## Detailed Description

Simplifies a collection of TaggedLineStrings, preserving topology (in the sense that no new intersections are introduced).

## Member Function Documentation

void geos::simplify::TaggedLinesSimplifier::setDistanceTolerance | ( | double | tolerance | ) |

Sets the distance tolerance for the simplification.

All vertices in the simplified geometry will be within this distance of the original geometry.

Parameters:

  | tolerance | the approximation tolerance to use

template<class iterator_type>

void geos::simplify::TaggedLinesSimplifier::simplify | ( | iterator_type | begin,
|  | iterator_type | end |
| ) |  |  | `[inline]`

Simplify a set of TaggedLineStrings

Parameters:

  | iterator_type | an iterator, must support assignment, increment, inequality and dereference operators. Dereference operator must return a TaggedLineString*
  | begin | iterator to the first element to be simplified.
  | end | an iterator to one-past-last element to be simplified.

The documentation for this class was generated from the following file:

- TaggedLinesSimplifier.h